Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 85188 - kernel-smp-2.4.18-24.8.0 crashes on boot when enabling swap
kernel-smp-2.4.18-24.8.0 crashes on boot when enabling swap
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-26 08:56 EST by Kees Torenvliet
Modified: 2007-04-18 12:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kees Torenvliet 2003-02-26 08:56:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
Just downloaded kernel-smp-2.4.18-24.8.0.i686.rpm and freshly upgraded my smp
kernel.  On the very first reboot, the system crashed.  The first sign of
problems was after the "Activating swap partitions:" message which was followed by:
swapon: /dev/sdb2: Invalid argument
swapon: /dev/sdb3: Invalid argument

followed by [FAILED] in red.  Several steps later the system dies.

After the system ungraciously expires, the following screen is displayed:

EFLAGS: 00010246

EIP is at __make_request [kernel] 0x8e (2.4.18-24.8.0smp)

eax: 00002000 ebx: 00000001 ecx: cf59f680 edx: 00004000
csi: c18d8418 edi: 004a853 ebp: 00000001 esp: ce66dd8c

Process kjournald (pid: 146, stack page = ce66d000)

Call Trace [<c01b4cf97>] generic_make_request [kernel] 0xf9 (0xce66ddeo))

etc. etc

I can reboot using the non-smp 2.4.18-14 kernel just fine.  I was previously
running the RedHat 8.0 standard distro 2.4.18-14 smp kernel (unmodified) just
fine.  Please note that this is the kernel straight from the upgrade rpm, with
no mods or changes.  I just down-loaded it yesterday.

I am not certain on how to regress back to the older, but working R8.0 smp
kernel, and will run with the non-smp kernel for now.  I will leave the failing
kernel in place in case I need to get further info from the crime scene.

Thanks.

Kees Torenvliet
torenvl@earthlink.net


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Upgrade (using RedHat-supplied upgrade kernel-smp-2.4.18-24.8.0.i686.rpm file)
2.Boot system with newly upgraded kernel.
3.
    

Actual Results:  System crashed after activating swap and performing subsequent
file system-related boot steps.

Expected Results:  Normally booted and loaded RedHat Linux smp system.

Additional info:

I am running an Intel 820 motherboard, 256 meg RAM and dual PIII 667 MHz
processors.  I use an Adaptec 3940 dual channel SCSI controller with one 4 gig
hard drive on each channel.  The file system is distributed across both of them.
 This includes two 256 meg swap areas, one on each drive.  The installed
software is pretty much vanilla-flavour RedHat 8.0, with no additions or changes.
Comment 1 Kees Torenvliet 2003-02-28 13:43:05 EST
Additional comments made on Feb 28/2003:

Attempted further investigation by using "Interactive Startup" reputed to be
available when booting.

I could not get "Interactive Startup" to work.  The on-screen instructions
provided by the /etc/rc.d/rc.sysinit script are: "Press 'I' to enter interactive
startup."  However, the script does only a one-second sleep, and I can't respond
that quickly.

So, I edited the /etc/rc.d/rc.sysinit script to sleep for 10 seconds.  But, no
matter what combination of I/i/I-enter/i-enter/ctrl-i, etc, I tried, the script
would not go into interactive startup.  I could not find any further commands in
the script relating to interactive startup, so perhaps that's no surprise. 
PROMPT =yes in /etc/sysconfig/init.

Despite the above, I was able to catch a little further information relating to
the problem.  The boot process proceeds past the failed "Activating swap
partition step.
"Finding module dependencies" is successfull.
The file systems all check out.  
"Mounting local file systems" is OK.
"Enabling local file system quotas" is OK.
"Enabling swap space" comes back as OK, but with the following message: "Unable
to find swap-space signature swapon: /dev/sdb3: Invalid Argument".

Then the system hangs.  I get no further response at the console, and networking
is not up yet, so I can't telnet in.

I checked recent Errata.  "2002:292-05: New kernel fixes ext3 data journaling
data loss and tg3 hang" seems worthy of mention, only because the dump
information mentions "kjournald", which I think is related to journalling.

The update files for "2002:292-05: New kernel fixes ext3 data journaling data
loss and tg3 hang" have been superceded by RHSA-2003:025-20, which fixes
unrelated ethernet problems, but resulted in the kernel version with which I am
having the problem.

If you can help me get interactive boot working, or have other suggestions on
what needs to be done, please let me know.

Please note that the non-smp original RedHat R8.0 kkernel boots up flawlessly,
and seems to run fine, when selected for booting through grub.


Comment 2 Bugzilla owner 2004-09-30 11:40:34 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.